<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head lang="en">
    <meta charset="UTF-8"/>
    <title data-th-text="#{admin.importauthorisedsheet}">Sheet Weiterbildungsbefugte hochladen</title>
    <link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}"/>
</head>
<body>
<div data-th-replace="fragments/nav::nav"></div>
<main>

    <table class="datatable">
        <caption>Hochgeladene Dateien</caption>
        <thead>
        <tr>
            <th></th>
            <th></th>
            <th></th>
            <th></th>
            <th></th>
            <th></th>
            <th>Datum</th>
            <th>Dateiname</th>
        </tr>
        </thead>
        <tbody>
        <tr data-th-each="fileUpload: ${fileUploads}">
            <td><a data-th-href="@{/admin/import/{id}/titles(id=${fileUpload.id})}">titles</a>
                <th:block data-th-if="${fileUpload.titlesImported}">
                    <img data-th-src="@{/images/checkmark.png}"/>
                </th:block>
            </td>
            <td><a data-th-href="@{/admin/import/{id}/sexes(id=${fileUpload.id})}">sexes</a>
                <th:block data-th-if="${fileUpload.sexesImported}">
                    <img data-th-src="@{/images/checkmark.png}"/>
                </th:block>
            </td>
            <td><a data-th-href="@{/admin/import/{id}/regions(id=${fileUpload.id})}">regions</a>
                <th:block data-th-if="${fileUpload.regionsImported}">
                    <img data-th-src="@{/images/checkmark.png}"/>
                </th:block>
            </td>
            <td><a data-th-href="@{/admin/import/{id}/trainingsites(id=${fileUpload.id})}">trainingsites</a>
                <th:block data-th-if="${fileUpload.trainingSitesImported}">
                    <img data-th-src="@{/images/checkmark.png}"/>
                </th:block>
            </td>
            <td><a data-th-href="@{/admin/import/{id}/authoriseddoctors(id=${fileUpload.id})}">authoriseddoctors</a>
                <th:block data-th-if="${fileUpload.authorisedDoctorsImported}">
                    <img data-th-src="@{/images/checkmark.png}"/>
                </th:block>
            </td>
            <td><a data-th-href="@{/admin/import/{id}/registrars(id=${fileUpload.id})}">registrars</a>
                <th:block data-th-if="${fileUpload.registrarsImported}">
                    <img data-th-src="@{/images/checkmark.png}"/>
                </th:block>
            </td>
            <td data-th-text="${fileUpload.uploadDate}"></td>
            <td data-th-text="${fileUpload.fileName}"></td>
        </tr>
        </tbody>
    </table>

    <form method="post" data-th-action="@{/admin/import}" enctype="multipart/form-data">
        <fieldset>
            <legend>Neue Datei hochladen</legend>
            <label for="file">Datei auswählen</label> <input type="file" name="file" id="file"/>
            <button>Hochladen</button>
        </fieldset>
    </form>
</main>
</body>
</html>